Skip to main content
GET
/
api
/
v1
/
projects
/
{projectUuid}
/
dbt-sources
/
{projectDbtSourceUuid}
Error
A valid request URL is required to generate request examples
{
  "results": {
    "hasCredentialError": true,
    "projectSubPath": "<string>",
    "branch": "<string>",
    "repository": "<string>",
    "precedence": 123,
    "isPrimary": true,
    "name": "<string>",
    "projectDbtSourceUuid": "<string>",
    "dbtConnection": {
      "type": "dbt",
      "target": "<string>",
      "environment": [
        {
          "value": "<string>",
          "key": "<string>"
        }
      ],
      "selector": "<string>",
      "profiles_dir": "<string>",
      "project_dir": "<string>"
    }
  },
  "status": "ok"
}

Path Parameters

projectUuid
string<uuid>
required

Stringified UUIDv4. See RFC 4112

Pattern: [0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}
projectDbtSourceUuid
string<uuid>
required

Stringified UUIDv4. See RFC 4112

Pattern: [0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}

Response

Success

results
object
required

A single dbt source including its connection, with sensitive credentials (tokens, keys) stripped — used to pre-fill the edit form. Secrets left out here are preserved on update via mergeMissingDbtConfigSecrets.

status
enum<string>
required
Available options:
ok